package com.steerinfo.dil.controller;

import com.steerinfo.dil.model.RmsCapacityType;
import com.steerinfo.dil.model.RmsTransRange;
import com.steerinfo.dil.service.impl.RmsCapacityTypeServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


@RestController
@RequestMapping("/${api.version}/rmscapacitytype")
public class RmsCapacityTypeController extends BaseRESTfulController {
    @Autowired
    RmsCapacityTypeServiceImpl rmsCapacityTypeService;

    @Autowired
    ColumnDataUtil columnDataUtil;

    //车辆类型
    @PostMapping("/getCapacityType")
    public RESTfulResult getRmsCapacityType(@RequestBody(required = false) Map<String,Object> map,
                                            @RequestParam("apiId") Integer apiId,
                                            @RequestParam("pageNum") Integer pageNum,
                                            @RequestParam("pageSize") Integer pageSize,
                                            @RequestParam("con") String con) {
        map.put("con",con);
        PageHelper.startPage(pageNum, pageSize);
        //分页查询数据
        List<Map<String,Object>> list = rmsCapacityTypeService.getRmsCapacityType(map);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId,null, list);
        return success(pageList);
    }

    @PostMapping("/insertCapacityType")
    public RESTfulResult insertRmsCapacityType(@RequestBody(required = false) Map<String,Object> map) {
        return success(rmsCapacityTypeService.insertRmsCapacityType(map));
    }

    @PostMapping("/deleteCapacityType/{id}")
    public RESTfulResult deleteCapacityType(@PathVariable("id") BigDecimal id) {
        return success(rmsCapacityTypeService.deleteRmsCapacityType(id));
    }

    //运输范围
    @PostMapping("/getTransRange")
    public RESTfulResult getTransRange(@RequestBody(required = false) Map<String,Object> map,
                                            @RequestParam("apiId") Integer apiId,
                                            @RequestParam("pageNum") Integer pageNum,
                                            @RequestParam("pageSize") Integer pageSize,
                                            String con) {
        map.put("transRangeValue",con);
        map.put("deleted",0);
        PageHelper.startPage(pageNum, pageSize);
        //分页查询数据
        List<Map<String,Object>> list = rmsCapacityTypeService.getTransRange(map);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId,null, list);
        return success(pageList);
    }

    @PostMapping("/insertTransRange")
    public RESTfulResult insertTransRange(@RequestBody(required = false)RmsTransRange rmsTransRange) {
        return success(rmsCapacityTypeService.insertTransRange(rmsTransRange));
    }

    //APP备注
    @PostMapping("/getMaterialCoke")
    public RESTfulResult getMaterialCoke(@RequestBody(required = false) Map<String,Object> map,
                                            @RequestParam("apiId") Integer apiId,
                                            @RequestParam("pageNum") Integer pageNum,
                                            @RequestParam("pageSize") Integer pageSize,
                                            String con) {
        map.put("con",con);
        PageHelper.startPage(pageNum, pageSize);
        //分页查询数据
        List<Map<String,Object>> list = rmsCapacityTypeService.getMaterialCoke(map);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId,null, list);
        return success(pageList);
    }

    @PostMapping("/insertMaterialCoke")
    public RESTfulResult insertMaterialCoke(@RequestBody(required = false) Map<String,Object> map) {
        return success(rmsCapacityTypeService.insertMaterialCoke(map));
    }

    @PostMapping("/deleteMaterialCoke/{id}")
    public RESTfulResult deleteMaterialCoke(@PathVariable("id") BigDecimal id) {
        return success(rmsCapacityTypeService.deleteMaterialCoke(id));
    }

    //收货客户
    @ApiOperation(value = "查询收款客户")
    @PostMapping("/getReceiveCompany")
    public RESTfulResult getReceiveCompany(@RequestBody(required = false) Map<String,Object> map,
                                                 Integer apiId,
                                                 Integer pageNum,
                                                 Integer pageSize,
                                                 String con) {
        map.put("con",con);
        PageHelper.startPage(pageNum, pageSize);
        //分页查询数据
        List<Map<String,Object>> list = rmsCapacityTypeService.getReceivingCompany(map);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId,null, list);
        return success(pageList);
    }

    @ApiOperation(value="新增收款客户")
    @PostMapping(value = "/insertReceiveCompany")
    public RESTfulResult insertReceiveCompany(@RequestBody(required = false) Map<String, Object> map){
        return success(rmsCapacityTypeService.insertReceivingCompany(map));
    }

    @ApiOperation(value="删除收款客户")
    @PostMapping(value = "/deleteReceiveCompany/{id}")
    public RESTfulResult deleteReceiveCompany(@PathVariable("id")BigDecimal id){
        return success(rmsCapacityTypeService.deleteReceivingCompany(id));
    }
}
