package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="运力类型")
public class RmsCapacityType implements IBasePO<BigDecimal> {
    /**
     * 主键ID(CAPACITY_TYPE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal capacityTypeId;

    /**
     * 运力类型名称（1:汽车；2：火车；3：轮船；4：货车；5：平板车；6：后八轮；7：大挖机；8：小挖机；9：吊机；10：铲车）(CAPACITY_TYPE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="运力类型名称（1:汽车；2：火车；3：轮船；4：货车；5：平板车；6：后八轮；7：大挖机；8：小挖机；9：吊机；10：铲车）",required=false)
    private String capacityTypeName;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 类型：1为汽车 2为装载机(WHETHER_CAR,DECIMAL,0)
     */
    @ApiModelProperty(value="类型：1为汽车 2为装载机",required=false)
    private BigDecimal whetherCar;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.capacityTypeId;
    }

    @Override
    public void setId(BigDecimal capacityTypeId) {
        this.capacityTypeId = capacityTypeId;
    }

    public BigDecimal getCapacityTypeId() {
        return capacityTypeId;
    }

    public void setCapacityTypeId(BigDecimal capacityTypeId) {
        this.capacityTypeId = capacityTypeId;
    }

    public String getCapacityTypeName() {
        return capacityTypeName;
    }

    public void setCapacityTypeName(String capacityTypeName) {
        this.capacityTypeName = capacityTypeName == null ? null : capacityTypeName.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getWhetherCar() {
        return whetherCar;
    }

    public void setWhetherCar(BigDecimal whetherCar) {
        this.whetherCar = whetherCar;
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", capacityTypeId=").append(capacityTypeId);
        sb.append(", capacityTypeName=").append(capacityTypeName);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", whetherCar=").append(whetherCar);
        sb.append(", deleted=").append(deleted);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}