package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="null")
public class RmsMaterialCoke implements IBasePO<BigDecimal> {
    /**
     * 焦炭子类型主键(MATERIAL_COKE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="焦炭子类型主键",required=true)
    private BigDecimal materialCokeId;

    /**
     * 焦炭子类名称(MATERIAL_COKE_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="焦炭子类名称",required=false)
    private String materialCokeName;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,255)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,255)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,255)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.materialCokeId;
    }

    @Override
    public void setId(BigDecimal materialCokeId) {
        this.materialCokeId = materialCokeId;
    }

    public BigDecimal getMaterialCokeId() {
        return materialCokeId;
    }

    public void setMaterialCokeId(BigDecimal materialCokeId) {
        this.materialCokeId = materialCokeId;
    }

    public String getMaterialCokeName() {
        return materialCokeName;
    }

    public void setMaterialCokeName(String materialCokeName) {
        this.materialCokeName = materialCokeName == null ? null : materialCokeName.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", materialCokeId=").append(materialCokeId);
        sb.append(", materialCokeName=").append(materialCokeName);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}