package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel(value="承运起止地点")
public class RmsTransRange implements IBasePO<BigDecimal> {
    /**
     * 承运起止地点ID(TRANS_RANGE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="承运起止地点ID",required=true)
    private BigDecimal transRangeId;

    /**
     * 承运起止地点(TRANS_RANGE_VALUE,VARCHAR,200)
     */
    @ApiModelProperty(value="承运起止地点",required=false)
    private String transRangeValue;

    /**
     * 承运起点(TRANS_RANGE_START_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="承运起点",required=false)
    private BigDecimal transRangeStartId;

    /**
     * 承运终点(TRANS_RANGE_END_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="承运终点",required=false)
    private BigDecimal transRangeEndId;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.transRangeId;
    }

    @Override
    public void setId(BigDecimal transRangeId) {
        this.transRangeId = transRangeId;
    }

    public BigDecimal getTransRangeId() {
        return transRangeId;
    }

    public void setTransRangeId(BigDecimal transRangeId) {
        this.transRangeId = transRangeId;
    }

    public String getTransRangeValue() {
        return transRangeValue;
    }

    public void setTransRangeValue(String transRangeValue) {
        this.transRangeValue = transRangeValue == null ? null : transRangeValue.trim();
    }

    public BigDecimal getTransRangeStartId() {
        return transRangeStartId;
    }

    public void setTransRangeStartId(BigDecimal transRangeStartId) {
        this.transRangeStartId = transRangeStartId;
    }

    public BigDecimal getTransRangeEndId() {
        return transRangeEndId;
    }

    public void setTransRangeEndId(BigDecimal transRangeEndId) {
        this.transRangeEndId = transRangeEndId;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", transRangeId=").append(transRangeId);
        sb.append(", transRangeValue=").append(transRangeValue);
        sb.append(", transRangeStartId=").append(transRangeStartId);
        sb.append(", transRangeEndId=").append(transRangeEndId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}