package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="null")
public class TbProductSummaryDg implements IBasePO<BigDecimal> {
    /**
     * 项目ID(ITEM_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="项目ID",required=true)
    private BigDecimal itemId;

    /**
     * 项目名称(ITEM_NAME,VARCHAR,255)
     */
    @ApiModelProperty(value="项目名称",required=false)
    private String itemName;

    /**
     * 日入库量(IN_STORAGE_DAILY,DECIMAL,15)
     */
    @ApiModelProperty(value="日入库量",required=false)
    private BigDecimal inStorageDaily;

    /**
     * 月累入库量(IN_STORAGE_MONTH,DECIMAL,15)
     */
    @ApiModelProperty(value="月累入库量",required=false)
    private BigDecimal inStorageMonth;

    /**
     * 日销量(SALES_DAILY,DECIMAL,15)
     */
    @ApiModelProperty(value="日销量",required=false)
    private BigDecimal salesDaily;

    /**
     * 月累计销量(SALES_MONTH,DECIMAL,15)
     */
    @ApiModelProperty(value="月累计销量",required=false)
    private BigDecimal salesMonth;

    /**
     * 当前库存量(INVENTORY_CURRENT,DECIMAL,15)
     */
    @ApiModelProperty(value="当前库存量",required=false)
    private BigDecimal inventoryCurrent;

    /**
     * 期初库存(INVENTORY_START,DECIMAL,15)
     */
    @ApiModelProperty(value="期初库存",required=false)
    private BigDecimal inventoryStart;

    /**
     * 库存变化(INVENTORY_CHANGE,DECIMAL,15)
     */
    @ApiModelProperty(value="库存变化",required=false)
    private BigDecimal inventoryChange;

    /**
     * 月计划销量(SALES_PLAN_MONTH,DECIMAL,15)
     */
    @ApiModelProperty(value="月计划销量",required=false)
    private BigDecimal salesPlanMonth;

    /**
     * 月度超欠进度计划(SCHEDULE_PLAN_MONTH,DECIMAL,15)
     */
    @ApiModelProperty(value="月度超欠进度计划",required=false)
    private BigDecimal schedulePlanMonth;

    /**
     * 报表日期(DATES,TIMESTAMP,7)
     */
    @ApiModelProperty(value="报表日期",required=false)
    private Date dates;

    /**
     * 公司名称(COMPANY_NAME,VARCHAR,255)
     */
    @ApiModelProperty(value="公司名称",required=false)
    private String companyName;

    /**
     * 是否有效(IS_VALID,CHAR,1)
     */
    @ApiModelProperty(value="是否有效",required=false)
    private String isValid;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.itemId;
    }

    @Override
    public void setId(BigDecimal itemId) {
        this.itemId = itemId;
    }

    public BigDecimal getItemId() {
        return itemId;
    }

    public void setItemId(BigDecimal itemId) {
        this.itemId = itemId;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName == null ? null : itemName.trim();
    }

    public BigDecimal getInStorageDaily() {
        return inStorageDaily;
    }

    public void setInStorageDaily(BigDecimal inStorageDaily) {
        this.inStorageDaily = inStorageDaily;
    }

    public BigDecimal getInStorageMonth() {
        return inStorageMonth;
    }

    public void setInStorageMonth(BigDecimal inStorageMonth) {
        this.inStorageMonth = inStorageMonth;
    }

    public BigDecimal getSalesDaily() {
        return salesDaily;
    }

    public void setSalesDaily(BigDecimal salesDaily) {
        this.salesDaily = salesDaily;
    }

    public BigDecimal getSalesMonth() {
        return salesMonth;
    }

    public void setSalesMonth(BigDecimal salesMonth) {
        this.salesMonth = salesMonth;
    }

    public BigDecimal getInventoryCurrent() {
        return inventoryCurrent;
    }

    public void setInventoryCurrent(BigDecimal inventoryCurrent) {
        this.inventoryCurrent = inventoryCurrent;
    }

    public BigDecimal getInventoryStart() {
        return inventoryStart;
    }

    public void setInventoryStart(BigDecimal inventoryStart) {
        this.inventoryStart = inventoryStart;
    }

    public BigDecimal getInventoryChange() {
        return inventoryChange;
    }

    public void setInventoryChange(BigDecimal inventoryChange) {
        this.inventoryChange = inventoryChange;
    }

    public BigDecimal getSalesPlanMonth() {
        return salesPlanMonth;
    }

    public void setSalesPlanMonth(BigDecimal salesPlanMonth) {
        this.salesPlanMonth = salesPlanMonth;
    }

    public BigDecimal getSchedulePlanMonth() {
        return schedulePlanMonth;
    }

    public void setSchedulePlanMonth(BigDecimal schedulePlanMonth) {
        this.schedulePlanMonth = schedulePlanMonth;
    }

    public Date getDates() {
        return dates;
    }

    public void setDates(Date dates) {
        this.dates = dates;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName == null ? null : companyName.trim();
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid == null ? null : isValid.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", itemId=").append(itemId);
        sb.append(", itemName=").append(itemName);
        sb.append(", inStorageDaily=").append(inStorageDaily);
        sb.append(", inStorageMonth=").append(inStorageMonth);
        sb.append(", salesDaily=").append(salesDaily);
        sb.append(", salesMonth=").append(salesMonth);
        sb.append(", inventoryCurrent=").append(inventoryCurrent);
        sb.append(", inventoryStart=").append(inventoryStart);
        sb.append(", inventoryChange=").append(inventoryChange);
        sb.append(", salesPlanMonth=").append(salesPlanMonth);
        sb.append(", schedulePlanMonth=").append(schedulePlanMonth);
        sb.append(", dates=").append(dates);
        sb.append(", companyName=").append(companyName);
        sb.append(", isValid=").append(isValid);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}