package com.steerinfo.dil.service.impl;


import com.steerinfo.dil.mapper.RmsDirectlySentCityMapper;
import com.steerinfo.dil.model.RmsDirectlySentCity;
import com.steerinfo.dil.service.IRmsDirectlySentCityService;
import com.steerinfo.dil.service.IRmsDriverCapacityService;
import com.steerinfo.dil.util.DataChange;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.xml.crypto.Data;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Service
public class RmsDirectlySentCityServiceImpl implements IRmsDirectlySentCityService {

    @Resource
    RmsDirectlySentCityMapper rmsDirectlySentCityMapper;


    public List<Map<String, Object>> getDirectlySentCity(Map<String, Object> mapValue) {
        return rmsDirectlySentCityMapper.getDirectlySentCity(mapValue);
    }

    public int insertDirectlySentCityInfo(Map<String, Object> map) {
        List<Map<String,Object>> mapList = (List<Map<String, Object>>) map.get("mapList");
        List<RmsDirectlySentCity> rmsDirectlySentCities = new ArrayList<>();
        for(Map<String,Object> infoMap : mapList) {
            RmsDirectlySentCity rmsDirectlySentCity = new RmsDirectlySentCity();
            rmsDirectlySentCity.setPrimaryKeyId(rmsDirectlySentCityMapper.getMaxId());
            rmsDirectlySentCity.setDirectlySentName(infoMap.get("directlySentName") + "");
            rmsDirectlySentCity.setProvinceCity(infoMap.get("provinceName").toString());
            rmsDirectlySentCity.setDistrictCity(infoMap.get("districtName").toString());
            rmsDirectlySentCity.setTownCity(infoMap.get("townName") + "");
            rmsDirectlySentCity.setPlace(infoMap.get("place") + "");
            rmsDirectlySentCity.setCarrierId(DataChange.dataToBigDecimal(infoMap.get("carrierId")));
            rmsDirectlySentCity.setAlternateFields1(map.get("userName") + "");
            rmsDirectlySentCities.add(rmsDirectlySentCity);
        }
        rmsDirectlySentCityMapper.batchInsert(rmsDirectlySentCities);
        return 1;
    }

    public int deleteInfo(Map<String, Object> map) {
        return rmsDirectlySentCityMapper.deleteByPrimaryKey(DataChange.dataToBigDecimal(map.get("primaryKeyId")));
    }
}
